org.springframework.dao

## Class TransientDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.TransientDataAccessException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConcurrencyFailureException, QueryTimeoutException, TransientDataAccessResourceException

    public abstract class TransientDataAccessException
    extends DataAccessException

Root of the hierarchy of data access exceptions that are considered transient - where a previously failed operation might be able to succeed when the operation is retried without any intervention by application-level functionality.

Since:
  2.5
Author:
  Thomas Risberg
See Also:
  `SQLTransientException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransientDataAccessException(String msg)` Constructor for TransientDataAccessException.
`TransientDataAccessException(String msg, Throwable cause)` Constructor for TransientDataAccessException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransientDataAccessException

    public TransientDataAccessException(String msg)

Constructor for TransientDataAccessException.

Parameters:
  `msg` - the detail message

#### TransientDataAccessException

    public TransientDataAccessException(String msg,
                                Throwable cause)

Constructor for TransientDataAccessException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (usually from using a underlying data access API such as JDBC)